<?php

namespace CouponsPlus\App\Conditions\Stubs\Conditions;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class Location implements DashboardCardData
{
    const TYPE = 'Location';

    static public function getName(): string
    {
        return __('Location', 'coupons-plus-for-woocommerce');
    }

    static public function getDescription(): string
    {
        return __('Restrict offers based on location: country and state/region',
            'coupons-plus-for-woocommerce'
        );
    }

    public static function getNotes(): array
    {
        return [
            __(
                'To check IPs, you need to have a valid MaxMind License Key (free) located at WooCommerce > Settings > Integrations',
                'coupons-plus-for-woocommerce'
            )
        ];
    }

    public static function getUseCases(): Collection
    {
        return new Collection([]);
    }
}
